/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 拦截活动定义
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-23 20:58:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "sp_action")
@DynamicInsert
@DynamicUpdate
public class SpAction extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_enabled = "enabled";
  public static final String KEY_deleted = "deleted";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_label = "label";
  public static final String KEY_internalService = "internalService";
  public static final String KEY_serviceName = "serviceName";
  public static final String KEY_serviceUrl = "serviceUrl";
  public static final String KEY_httpMethod = "httpMethod";
  public static final String KEY_reqBody = "reqBody";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 是否启用<br>
   */
    @Column(name = "is_enabled")
  private Boolean enabled;
  /**
   * 是否已删除<br>
   */
    @Column(name = "is_deleted")
  private Boolean deleted;
  /**
   * 创建人<br>
   */
    @Column(name = "created_by")
  private String createdBy;
  /**
   * 创建时间<br>
   */
    @Column(name = "created_time")
  private Date createdTime;
  /**
   * 更新人<br>
   */
    @Column(name = "updated_by")
  private String updatedBy;
  /**
   * 更新时间<br>
   */
    @Column(name = "updated_time")
  private Date updatedTime;
  /**
   * 活动名称<br>
   */
    @Column(name = "label")
  private String label;
  /**
   * 是否内部服务<br>
   */
    @Column(name = "is_internal_service")
  private Boolean internalService;
  /**
   * 内部服务名称<br>
   */
    @Column(name = "service_name")
  private String serviceName;
  /**
   * 服务地址<br>
   */
    @Column(name = "service_url")
  private String serviceUrl;
  /**
   * 请求类型 GET;POST;<br>
   */
    @Column(name = "http_method")
  private String httpMethod;
  /**
   * 请求参数模板<br>
   */
    @Column(name = "req_body")
  private String reqBody;
  /**
   * 租户<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 是否启用<br>
   */
  public Boolean getEnabled()
  {
      return enabled;
    }

  /**
   * 是否启用<br>
   *
   * @param enabled 是否启用
   */
  public void setEnabled(Boolean enabled)
  {
      this.enabled = enabled;
    }
  /**
   * 是否已删除<br>
   */
  public Boolean getDeleted()
  {
      return deleted;
    }

  /**
   * 是否已删除<br>
   *
   * @param deleted 是否已删除
   */
  public void setDeleted(Boolean deleted)
  {
      this.deleted = deleted;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 活动名称<br>
   */
  public String getLabel()
  {
      return label;
    }

  /**
   * 活动名称<br>
   *
   * @param label 活动名称
   */
  public void setLabel(String label)
  {
      this.label = label;
    }
  /**
   * 是否内部服务<br>
   */
  public Boolean getInternalService()
  {
      return internalService;
    }

  /**
   * 是否内部服务<br>
   *
   * @param internalService 是否内部服务
   */
  public void setInternalService(Boolean internalService)
  {
      this.internalService = internalService;
    }
  /**
   * 内部服务名称<br>
   */
  public String getServiceName()
  {
      return serviceName;
    }

  /**
   * 内部服务名称<br>
   *
   * @param serviceName 内部服务名称
   */
  public void setServiceName(String serviceName)
  {
      this.serviceName = serviceName;
    }
  /**
   * 服务地址<br>
   */
  public String getServiceUrl()
  {
      return serviceUrl;
    }

  /**
   * 服务地址<br>
   *
   * @param serviceUrl 服务地址
   */
  public void setServiceUrl(String serviceUrl)
  {
      this.serviceUrl = serviceUrl;
    }
  /**
   * 请求类型 GET;POST;<br>
   */
  public String getHttpMethod()
  {
      return httpMethod;
    }

  /**
   * 请求类型 GET;POST;<br>
   *
   * @param httpMethod 请求类型 GET;POST;
   */
  public void setHttpMethod(String httpMethod)
  {
      this.httpMethod = httpMethod;
    }
  /**
   * 请求参数模板<br>
   */
  public String getReqBody()
  {
      return reqBody;
    }

  /**
   * 请求参数模板<br>
   *
   * @param reqBody 请求参数模板
   */
  public void setReqBody(String reqBody)
  {
      this.reqBody = reqBody;
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SpAction()
  {
  }

}
